# PCLinuxOS Copyright by Bill Reynolds (Texstar)
# Import by D.M.-Wilhelm (leiche) at Thu Jul 01 2010
# for LXDE
%define Werror_cflags %nil
%define prefix /usr
%define url https://deadbeef.sourceforge.io/

%define mp4pgit 156195c
#________________ deadbeef main ______________________________

Name:      	deadbeef
Version:   	1.9.6
Release:   	%mkrel 1
License:   	GPL
Group:     	Sound
URL:      	%{url}
Source:     %{name}-%{version}.tar.xz

Source1:	DeaDBeeF-Player-mp4p-%{mp4pgit}.tar.xz
Source2:	https://github.com/DeaDBeeF-Player/ddb_dsp_libretro/archive/b4d3db19566398603069d02eeacb3b06987a1b74.zip
Source3:	https://github.com/DeaDBeeF-Player/ddb_output_pw/archive/0b099d13ab0e89d9934aabdeb2872f0f66ea6960.zip

Source100:	deadbeef.desktop

Summary:   	DeaDBeeF - Ultimate Music Player For GNU/Linux
Summary(de):   	DeaDBeeF - Ultimativer Musik Player für GNU/Linux
BuildRoot:   	%{_tmppath}/%{name}-buildroot

#----------------------------------------------------------
BuildRequires:		intltool
BuildRequires:		clang
BuildRequires:		bison
BuildRequires:		gettext-devel
BuildRequires:		pkgconfig(jansson)
BuildRequires:		libdispatch-devel
BuildRequires:		pkgconfig(libzip)
#____________________gui____________________
BuildRequires:		pkgconfig(gtk+-3.0)
BuildRequires:		libtiff-devel
BuildRequires:		pkgconfig(egl)
#____________________mp3____________________
BuildRequires:		pkgconfig(mad)
BuildRequires:		pkgconfig(libmpg123)
#_______________m4a, aac, mp4_______________
BuildRequires:		pkgconfig(faad2)
#__________libav (ffmpeg) support___________
#BuildRequires:		ffmpeg-devel
# flac player
BuildRequires:		pkgconfig(flac)
#_____High quality samplerate conversion____
BuildRequires:		pkgconfig(samplerate)
#____Monkey's audio (APE) decoder (ffap)____
BuildRequires:		yasm-devel
#__________PCM (wav,aiff,etc) player_________
BuildRequires:		pkgconfig(sndfile)
#________________ogg opus player_____________
BuildRequires:		opusfile-devel
#________________wavpack player______________
BuildRequires:		pkgconfig(wavpack)
#________________cd audio player_____________
BuildRequires:		libcddb-devel
BuildRequires:		libcdio-paranoia-devel
#_____________http/ftp streaming support_____
BuildRequires:		curl-devel
#_________________Pipewire output____________
BuildRequires:		pipewire-devel
#__________________ALSA output_______________ 
BuildRequires:		pkgconfig(alsa)

#----------------------------------------------------------

Requires: task-pipewire

Obsoletes:   	%name < %version-%release

%description
DeaDBeeF (as in 0xDEADBEEF) is an audio player for GNU/Linux systems 
with X11 (though now it also runs in plain console without X, in 
FreeBSD, and in OpenSolaris).

#german
%description -l de
DEADBEEF (wie in 0xDEADBEEF) ist ein Audioplayer für GNU/Linux-Systeme mit 
X11 (läuft jetzt auch ohne X-Konsole, in FreeBSD, OpenSolaris).

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/*
%{_libdir}/%{name}/*

#__________________________ devel_________________________
%package devel
Summary:   Development files for %{name}
Summary(de): Entwicklerdateien für %name
Group:      Development/Libraries
Requires:   %{name} = %{version}

%description devel
Development files and headers for %{name}.
#german
%description devel -l de
Entwicklerdateien und Headers für %name.

%files devel
%defattr(-,root,root)
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h
# do not provide plugins .so
%exclude %{_libdir}/%{name}/*.so

#____________________ build area __________________________

%prep
%setup -q -n %{name}-%{version} -a 2 -a 3
tar -C external --transform "s,^DeaDBeeF-Player-mp4p-%{mp4pgit}/,mp4p/," -xf %{SOURCE1}
%autopatch -p1

%build
CFLAGS="$RPM_OPT_FLAGS -fPIC" CXXFLAGS="$RPM_OPT_FLAGS -fPIC"
export CC=clang
export CXX=clang++
autoreconf -fiv 
%configure2_5x \
	--disable-gtk2 \
	--enable-gtk3 \
	--disable-converter \
	--disable-static \
	--disable-ffmpeg \
	--enable-lfm \
	--disable-notify \
    --disable-rpath \
    --disable-pulse \
    --enable-pipewire
    
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

# Remove it, don't have unity support 
rm -rf $RPM_BUILD_ROOT%{_datadir}/applications/deadbeef.desktop

# install our starter file
install -m 644 %SOURCE100 %{buildroot}%{_datadir}/applications/deadbeef.desktop

#remove uneeded files
rm -f %{buildroot}/%{_libdir}/%{name}/*.la

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

#______________ changelog ________________________________________

%changelog
* Sun Mar 31 2024 yodelu - 1.9.6-1pclos2024
- version update

* Sat Nov 27 2021 tex - 1.8.8-2pclos2021
- add audio category to desktop file

* Sat Jul 11 2020 ghostbunny <ghostbunny at gmx dot de> 1.8.4-1pclos2020

- 1.8.4
- add BR lib64opusfile-devel for opus codec support

* Sun Jun 28 2020 ghostbunny <ghostbunny at gmx dot de> 1.8.3-1pclos2020
- 1.8.3
- add BR yasm for monkey audio codec support

* Fri Mar 06 2020 daniel <meisssw01 at gmail.com> 1.8.2-1pclos2020
- update

* Thu Jul 25 2019 tex - 1.8.1-2pclos2019
- add conflicts to old packages

* Mon Jul 08 2019 tex - 1.8.1-1pclos2019
- new version

* Thu Apr 11 2019 tex - 1.8.0-1pclos2019
- new version

* Sat Mar 23 2019 tex - 0.7.2-4pclos2019
- rebuild against updates

* Wed Mar 08 2017 bb2 <bb2> - 0.7.2-3pclos2017
- rebuild new ffmpeg

* Sun Feb 12 2017 bb <bb> 0.7.2-2pclos2017
- apply appdata upstream patch
- adjust desktop file for duplicate entries

* Sat Apr 30 2016 bb <bb> 0.7.2-1pclos2016
- update and also try differnt build option

* Tue Mar 15 2016 bb <bb> 0.7.1-1pclos2016
- update

* Sat Feb 06 2016 bb <bb> 0.7.0-1pclos2016
- update

* Wed Dec 09 2015 bb <bb> 0.6.2-3pclos2015
- rebuild against updated libs

